> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cli-ionosctl/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cli-ionosctl/subcommands/interactive-shell/shell.md).

# shell

## Usage

```
ionosctl shell [flags]
```

## Description

The ionosctl shell command launches an interactive shell environment, enabling a more dynamic and intuitive way to interact with the ionosctl CLI. This shell is designed to enhance your command-line experience with advanced features and customizations, powered by the comptplus library.

DEFAULT CONTROLS: Ctrl + A\tGo to the beginning of the line (Home) Ctrl + E\tGo to the end of the line (End) Ctrl + F\tForward one character Ctrl + B\tBackward one character Ctrl + D\tExit if empty line, else delete character under cursor Ctrl + H\tDelete character before the cursor (Backspace) Ctrl + W\tCut the word before the cursor to the clipboard Ctrl + K\tCut the line after the cursor to the clipboard Ctrl + U\tCut the line before the cursor to the clipboard Ctrl + L\tClear the screen

## Options

```
  -u, --api-url string        Override default host url (default "https://api.ionos.com")
  -c, --config string         Configuration file used for authentication (default "$XDG_CONFIG_HOME/ionosctl/config.yaml")
  -D, --depth int             Level of detail for response objects (default 1)
  -F, --filters strings       Limit results to results containing the specified filter:KEY1=VALUE1,KEY2=VALUE2
  -f, --force                 Force command to execute without user input
  -h, --help                  Print usage
      --limit int             Maximum number of items to return per request (default 50)
      --no-headers            Don't print table headers when table output is used
      --offset int            Number of items to skip before starting to collect the results
      --order-by string       Property to order the results by
  -o, --output string         Desired output format [text|json|api-json] (default "text")
  -p, --persist-flag-values   Persist flag values between commands
      --query string          JMESPath query string to filter the output
  -q, --quiet                 Quiet output
  -t, --timeout int           Timeout in seconds for --wait and other wait operations (default 600)
  -v, --verbose count         Increase verbosity level [-v, -vv, -vvv]
  -w, --wait                  Wait for the resource to reach AVAILABLE state after the command completes. No-op for list commands
```

## Examples

```
ionosctl shell
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/cli-ionosctl/subcommands/interactive-shell/shell.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
